package mod.mcreator;

import net.minecraftforge.fluids.FluidRegistry;
import net.minecraftforge.fluids.Fluid;
import net.minecraftforge.fluids.BlockFluidClassic;

import net.minecraft.world.World;
import net.minecraft.util.IIcon;
import net.minecraft.item.ItemStack;
import net.minecraft.client.renderer.texture.IIconRegister;
import net.minecraft.block.material.Material;

import java.util.Random;

import cpw.mods.fml.relauncher.SideOnly;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.common.registry.GameRegistry;
import cpw.mods.fml.common.event.FMLServerStartingEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;

public class mcreator_ixygel {

	public static Object instance;

	public mcreator_ixygel() {
	}

	public static BlockFluidClassic block = null;

	public void preInit(FMLPreInitializationEvent event) {
		Fluid fluid = new Fluid("ixygel").setLuminosity(50).setDensity(250).setViscosity(1580).setGaseous(false);
		FluidRegistry.registerFluid(fluid);

		block = new BlockFluidClassic(fluid, Material.water) {

			@SideOnly(Side.CLIENT)
			protected IIcon stillIcon;
			@SideOnly(Side.CLIENT)
			protected IIcon flowingIcon;

			@Override
			public IIcon getIcon(int side, int meta) {
				IIcon result = stillIcon;
				if (side == 1) {
					result = flowingIcon;
				}
				return result;
			}

			@SideOnly(Side.CLIENT)
			@Override
			public void registerBlockIcons(IIconRegister iir) {
				stillIcon = iir.registerIcon("StillIxygel");
				flowingIcon = iir.registerIcon("IxygelFlowing");
			}

		};
		block.setBlockName(block.getFluid().getName());

		GameRegistry.registerBlock(block, "ixygel");

	}

	public void load() {

		GameRegistry.addSmelting(mcreator_ixygem.block, new ItemStack(block), 1.0f);

	}

	public void generateNether(World world, Random random, int chunkX, int chunkZ) {
	}

	public void generateSurface(World world, Random random, int chunkX, int chunkZ) {
	}

	public int addFuel(ItemStack fuel) {
		return 0;
	}

	public void registerRenderers() {

	}

	public void serverLoad(FMLServerStartingEvent event) {
	}

}
