package mod.mcreator;

import net.minecraft.world.World;
import net.minecraft.util.MathHelper;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.item.EnumAction;
import net.minecraft.init.Items;
import net.minecraft.init.Blocks;
import net.minecraft.entity.projectile.EntityArrow;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.Entity;
import net.minecraft.enchantment.EnchantmentHelper;
import net.minecraft.enchantment.Enchantment;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.client.renderer.entity.RenderSnowball;

import java.util.Random;

import cpw.mods.fml.common.registry.GameRegistry;
import cpw.mods.fml.common.registry.EntityRegistry;
import cpw.mods.fml.common.event.FMLServerStartingEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import cpw.mods.fml.client.registry.RenderingRegistry;

public class mcreator_rifle {

	public mcreator_rifle() {
	}

	public static Item block;
	public static Object instance;

	public void load() {
		RenderingRegistry.registerEntityRenderingHandler(EntityArrowCustom.class, new RenderSnowball(Items.magma_cream));

		GameRegistry.addRecipe(new ItemStack(block, 1),
				new Object[]{"X1X", "345", "678", Character.valueOf('1'), new ItemStack(Items.iron_ingot, 1), Character.valueOf('3'),
						new ItemStack(Items.iron_ingot, 1), Character.valueOf('4'), new ItemStack(mcreator_ixygem.block, 1), Character.valueOf('5'),
						new ItemStack(Items.iron_ingot, 1), Character.valueOf('6'), new ItemStack(Items.glowstone_dust, 1), Character.valueOf('7'),
						new ItemStack(Items.glowstone_dust, 1), Character.valueOf('8'), new ItemStack(Items.iron_ingot, 1),});
	}

	public void registerRenderers() {
	}

	public void generateNether(World world, Random random, int chunkX, int chunkZ) {
	}

	public void generateSurface(World world, Random random, int chunkX, int chunkZ) {
	}

	public int addFuel(ItemStack fuel) {
		return 0;
	}

	public void serverLoad(FMLServerStartingEvent event) {
	}

	public void preInit(FMLPreInitializationEvent event) {

		int entityID = EntityRegistry.findGlobalUniqueEntityId();
		EntityRegistry.registerGlobalEntityID(EntityArrowCustom.class, "entityBulletrifle", entityID);
		EntityRegistry.registerModEntity(EntityArrowCustom.class, "entityBulletrifle", entityID, instance, 64, 1, true);

	}

	static {
		block = (new ItemgGUN());
		Item.itemRegistry.addObject(433, "rifle", block);
	}

	static class ItemgGUN extends Item {

		public ItemgGUN() {
			super();
			setMaxDamage(100);
			maxStackSize = 1;
			setFull3D();
			setUnlocalizedName("rifle");
			setTextureName("Rifle");
			setCreativeTab(CreativeTabs.tabCombat);
		}

		public int getMaxItemUseDuration(ItemStack par1ItemStack) {
			return 72000;
		}

		public ItemStack onItemRightClick(ItemStack par1ItemStack, World par2World, final EntityPlayer par3EntityPlayer) {

			boolean flag = par3EntityPlayer.capabilities.isCreativeMode
					|| EnchantmentHelper.getEnchantmentLevel(Enchantment.infinity.effectId, par1ItemStack) > 0;

			if (flag || par3EntityPlayer.inventory.hasItem(Items.glowstone_dust)) {
				float f = 1.5F;

				EntityArrowCustom entityarrow = new EntityArrowCustom(par2World, par3EntityPlayer, f * 2.0F) {

					public void onCollideWithPlayer(EntityPlayer entity) {
						super.onCollideWithPlayer(entity);
						int i = MathHelper.floor_double(this.boundingBox.minX + 0.001D);
						int j = MathHelper.floor_double(this.boundingBox.minY + 0.001D);
						int k = MathHelper.floor_double(this.boundingBox.minZ + 0.001D);
						World world = this.worldObj;

					}

					public void onUpdate() {
						super.onUpdate();
						int i = MathHelper.floor_double(this.boundingBox.minX + 0.001D);
						int j = MathHelper.floor_double(this.boundingBox.minY + 0.001D);
						int k = MathHelper.floor_double(this.boundingBox.minZ + 0.001D);
						World world = this.worldObj;
						Entity entity = (Entity) par3EntityPlayer;

						if (this.worldObj.getBlock(i, j, k) != Blocks.air || this.worldObj.getBlock(i, j - 1, k) != Blocks.air
								|| this.worldObj.getBlock(i, j + 1, k) != Blocks.air || this.worldObj.getBlock(i + 1, j, k) != Blocks.air
								|| this.worldObj.getBlock(i - 1, j, k) != Blocks.air || this.worldObj.getBlock(i, j, k + 1) != Blocks.air
								|| this.worldObj.getBlock(i, j, k - 1) != Blocks.air) {

							if (true) {
								world.setBlock(i, j, k, Blocks.fire, 0, 2);
							}

							this.kill();
						}

					}

				};

				entityarrow.setIsCritical(true);
				entityarrow.setDamage(5.0);
				entityarrow.setKnockbackStrength(5);

				if (false) {
					entityarrow.setFire(100);
				}

				par1ItemStack.damageItem(1, par3EntityPlayer);
				par2World.playSoundAtEntity(par3EntityPlayer, "fire.ignite", 1.0F, 1.0F / (itemRand.nextFloat() * 0.4F + 1.2F) + f * 0.5F);

				if (flag) {
					entityarrow.canBePickedUp = 2;
				} else {
					par3EntityPlayer.inventory.consumeInventoryItem(Items.glowstone_dust);
				}

				if (!par2World.isRemote) {
					par2World.spawnEntityInWorld(entityarrow);
				}
				World world = par2World;
				EntityPlayer entity = par3EntityPlayer;
				int i = (int) entity.posX;
				int j = (int) entity.posY;
				int k = (int) entity.posZ;

			}

			return par1ItemStack;
		}

		/**
		 * returns the action that specifies what animation to play when the
		 * items is being used
		 */
		public EnumAction getItemUseAction(ItemStack par1ItemStack) {
			return EnumAction.bow;
		}

	}

	public static class EntityArrowCustom extends EntityArrow {
		public EntityArrowCustom(World a) {
			super(a);
		}

		public EntityArrowCustom(World a, EntityLivingBase b, float c) {
			super(a, b, c);
		}
	}

}
